/* 
 Controlling a servo position using a potentiometer (variable resistor) 
 by Michal Rinott <http://people.interaction-ivrea.it/m.rinott> 

 modified on 8 Nov 2013
 by Scott Fitzgerald
 http://arduino.cc/en/Tutorial/Knob
*/

#include <Servo.h> 
 
Servo myservo;  // create servo object to control a servo 
 
int potpin = 0;  // analog pin used to connect the potentiometer
int val;    // variable to read the value from the analog pin 
int poti;
int servo;
const int CO2laseron = 7;
const int endschalter = 9;
const int pilotlaser = 6;
 
void setup() 
{ 
  myservo.attach(8);  // attaches the servo on pin 9 to the servo object 
  pinMode(endschalter,INPUT_PULLUP);
  pinMode(CO2laseron,OUTPUT);
  pinMode(pilotlaser,OUTPUT);
  
} 
 
void loop() 
{ 
  poti = analogRead(potpin);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(poti, 0, 1023, 115, 75);     // scale it to use it with the servo (value between 0 and 180) 
  servo = val;
  if (digitalRead(endschalter) == LOW) { 
     servo = servo - 25;
     digitalWrite(pilotlaser, LOW);
     digitalWrite(CO2laseron, HIGH);
  }
  if (digitalRead(endschalter) == HIGH) { 
     digitalWrite(CO2laseron, LOW);
     digitalWrite(pilotlaser, HIGH);
  }  
  myservo.write(servo);                  // sets the servo position according to the scaled value 
  delay(15);                           // waits for the servo to get there 
} 
